<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.metabolic.efm.borndie.range
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.metabolic.efm.borndie.range package">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ch.javasoft.metabolic.efm.borndie.range";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/model/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/borndie/range/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<H2>
Package ch.javasoft.metabolic.efm.borndie.range
</H2>
The <tt>efm.borndie.range</tt> package contains classes and interfaces defining
different cell ranges, meaning a collection of cells from the born/die matrix.
<P>
<B>See:</B>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A HREF="#package_description"><B>Description</B></A>
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Interface Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/CellRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range">CellRange</A></B></TD>
<TD>A <code>CellRange</code> is a cell range referring to a single cell.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/ColumnRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range">ColumnRange</A></B></TD>
<TD>A <code>ColumnRange</code> is a cell range referring to a successive row 
 range of a single column</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/Range.html" title="interface in ch.javasoft.metabolic.efm.borndie.range">Range</A></B></TD>
<TD>A <code>Range</code> is a collection of cells, usually of the 
 <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/matrix/BornDieMatrix.html" title="interface in ch.javasoft.metabolic.efm.borndie.matrix"><CODE>BornDieMatrix</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range">RectangularRange</A></B></TD>
<TD>The <code>RectangularRange</code> represents a rectangle of cells.</TD>
</TR>
</TABLE>
&nbsp;

<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/AbstractCellRange.html" title="class in ch.javasoft.metabolic.efm.borndie.range">AbstractCellRange</A></B></TD>
<TD>A <code>AbstractCellRange</code> implements methods common to most 
 <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/CellRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range"><CODE>CellRange</CODE></A> implementations, such as the methods of the 
 <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range"><CODE>RectangularRange</CODE></A></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/AbstractRectangularRange.html" title="class in ch.javasoft.metabolic.efm.borndie.range">AbstractRectangularRange</A></B></TD>
<TD>The <code>AbstractRectangularRange</code> implements common stuff for most
 <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range"><CODE>RectangularRange</CODE></A> implementations.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/DefaultCellRange.html" title="class in ch.javasoft.metabolic.efm.borndie.range">DefaultCellRange</A></B></TD>
<TD>Default implementation of <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/CellRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range"><CODE>CellRange</CODE></A></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/DefaultColumnRange.html" title="class in ch.javasoft.metabolic.efm.borndie.range">DefaultColumnRange</A></B></TD>
<TD>Default implementation of <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/ColumnRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range"><CODE>ColumnRange</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/DefaultRectangularRange.html" title="class in ch.javasoft.metabolic.efm.borndie.range">DefaultRectangularRange</A></B></TD>
<TD>Default implementation of <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range"><CODE>RectangularRange</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/ForwardRowColumnRectangleIterator.html" title="class in ch.javasoft.metabolic.efm.borndie.range">ForwardRowColumnRectangleIterator</A></B></TD>
<TD>The <code>ForwardRowColumnRectangleIterator</code> iterates the cells of a
 <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range"><CODE>RectangularRange</CODE></A> from top left to bottom right; the outer loop 
 iterates rows, the inner loop columns.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/LowerTriangularMatrix.html" title="class in ch.javasoft.metabolic.efm.borndie.range">LowerTriangularMatrix</A></B></TD>
<TD>The <code>LowerTriangularMatrix</code> represents the range of a lower 
 triangular matrix, starting at row/column <code>(0,0)</code> as upper left 
 cell.</TD>
</TR>
</TABLE>
&nbsp;

<P>
<A NAME="package_description"><!-- --></A><H2>
Package ch.javasoft.metabolic.efm.borndie.range Description
</H2>

<P>
The <tt>efm.borndie.range</tt> package contains classes and interfaces defining
different cell ranges, meaning a collection of cells from the born/die matrix.
<P>

<P>
<DL>
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/model/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/borndie/range/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
